unit DEngSettings;

{$MODE FPC}
{$MODESWITCH DEFAULTPARAMETERS}
{$MODESWITCH OUT}
{$MODESWITCH RESULT}

interface

uses
  DEngBase;

type
TEngSettings = object
public
  Width: PtrUInt;
  Height: PtrUInt;
  Draw: record
    Multisampling: Boolean;
  end;
public
  procedure Init;
  procedure Done;
end;

var
  EngSettings: TEngSettings;

implementation

procedure TEngSettings.Init;
begin
  Width := 800;
  Height := 600;
  Draw.Multisampling := False;
end;

procedure TEngSettings.Done;
begin
end;

initialization
  EngSettings.Init;
finalization
  EngSettings.Done;
end.
